GraphDB upgrade guide

Skip to end of metadata
Go to start of metadata
This documentation is NOT for the latest version of GraphDB.

Latest version - GraphDB 7.1

GraphDB Documentation

Next versions

GraphDB 6.6
GraphDB 7.0
GraphDB 7.1

Previous versions

GraphDB 6.4
GraphDB 6.3
GraphDB 6.2
GraphDB 6.0 & 6.1

OWLIM 5.4
OWLIM 5.3
OWLIM 5.2
OWLIM 5.1
OWLIM 5.0
OWLIM 4.4
OWLIM 4.3
OWLIM 4.2
OWLIM 4.1
OWLIM 4.0

Upgrade from 6.2

No changes in the engine.
No incompatible changes in the Workbench.
No incompatible changes in the Connectors.

Upgrade from 6.1

Repository upgrade

There are no changes in the repository format between 6.1 and 6.2, but it is highly recommended that the repository gets checked with the Storage tool.

  1. Stop GraphDB
  2. Use offline Storage Tool to check repo integrity
    1. run check command that checks indexes consistence
      1. the check will report any problems into index consistence
      2. if no problem detected continue with scan command
      3. else use the Storage Tool rebuild command to rebuild the broken index(exception predLists rebuilds automatically on GraphDB start if you delete its files before that)
    2. run scan command that check the integrity of the data in statement indexes
      1. the scan will report any problem in statement indexes
      2. if no problem detected continue with upgrade
      3. else use the Storage Tool rebuild command to rebuild the broken statement index from one of its siblings
  3. Start GraphDB

Cluster upgrade

Summary

The upgrade is simple as replacing the .WAR files, the only new step is the repo integrity check that can detect and fix problems related to older versions then 6.2

Upgrade from 5.x

Labels:
None
Enter labels to add to this page:
Please wait 
Looking for a label? Just start typing.